Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
recommended-actions
/
trigger
Trigger workspace recommendations
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/trigger \
  --header 'Authorization: <api-key>'
{
  "triggered": [
    {
      "project_id": "<string>",
      "run_id": "<string>"
    }
  ],
  "errors": [
    {
      "project_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Response

Pipelines scheduled

triggered
object[]
required
errors
object[]
required